Loading...
Searching...
No Matches
XrdPfc::DirStateElement Struct Reference

`#include <XrdPfcDirStateSnapshot.hh>`

Inheritance diagram for XrdPfc::DirStateElement:
Collaboration diagram for XrdPfc::DirStateElement:

## Public Member Functions

| DirStateElement ()
| DirStateElement (const DirState &b, int parent)
Public Member Functions inherited from XrdPfc::DirStateBase
| DirStateBase ()
| DirStateBase (const std::string &dname)

## Public Attributes

int | m_daughters_begin = -1
int | m_daughters_end = -1
int | m_parent = -1
DirStats | m_stats
DirUsage | m_usage
Public Attributes inherited from XrdPfc::DirStateBase
std::string | m_dir_name

## Detailed Description

Definition at line 18 of file XrdPfcDirStateSnapshot.hh.

## Constructor & Destructor Documentation

## DirStateElement() [1/2]

XrdPfc::DirStateElement::DirStateElement | ( |  | ) |

inline

Definition at line 26 of file XrdPfcDirStateSnapshot.hh.

{}

## DirStateElement() [2/2]

XrdPfc::DirStateElement::DirStateElement | ( | const DirState & | b,
|  | int | parent )

inline

Definition at line 27 of file XrdPfcDirStateSnapshot.hh.

:
DirStateBase(b),
m_stats(b.m_sshot_stats),
m_usage(b.m_here_usage, b.m_recursive_subdir_usage),
m_parent(parent)
{}
parent
static void parent()
Definition XrdClDefaultEnv.cc:80
XrdPfc::DirStateBase::DirStateBase
DirStateBase()
Definition XrdPfcDirStateBase.hh:63
XrdPfc::DirStateElement::m_parent
int m_parent
Definition XrdPfcDirStateSnapshot.hh:23
XrdPfc::DirStateElement::m_stats
DirStats m_stats
Definition XrdPfcDirStateSnapshot.hh:20
XrdPfc::DirStateElement::m_usage
DirUsage m_usage
Definition XrdPfcDirStateSnapshot.hh:21

References XrdPfc::DirStateBase::DirStateBase(), m_parent, m_stats, m_usage, and parent().

Here is the call graph for this function:

## Member Data Documentation

## m_daughters_begin

int XrdPfc::DirStateElement::m_daughters_begin = -1

Definition at line 24 of file XrdPfcDirStateSnapshot.hh.

Referenced by XrdPfc::ResourceMonitor::fill_sshot_vec_children().

## m_daughters_end

int XrdPfc::DirStateElement::m_daughters_end = -1

Definition at line 24 of file XrdPfcDirStateSnapshot.hh.

Referenced by XrdPfc::ResourceMonitor::fill_sshot_vec_children().

## m_parent

int XrdPfc::DirStateElement::m_parent = -1

Definition at line 23 of file XrdPfcDirStateSnapshot.hh.

Referenced by DirStateElement().

## m_stats

DirStats XrdPfc::DirStateElement::m_stats

Definition at line 20 of file XrdPfcDirStateSnapshot.hh.

Referenced by DirStateElement().

## m_usage

DirUsage XrdPfc::DirStateElement::m_usage

Definition at line 21 of file XrdPfcDirStateSnapshot.hh.

Referenced by DirStateElement().

The documentation for this struct was generated from the following file:

- XrdPfcDirStateSnapshot.hh